Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Login.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Login.php	(revision 23055)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Login.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -49,5 +49,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         parent::process();
@@ -59,5 +59,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         //決済処理中ステータスのロールバック
@@ -66,5 +66,5 @@
         $objPurchase->checkDbMyPendignOrder();
         $objPurchase->checkDbAllPendingOrder();
-		
+
         SC_Response_Ex::sendRedirect(DIR_INDEX_PATH);
     }
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_RefusalComplete.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_RefusalComplete.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_RefusalComplete.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -58,5 +58,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         parent::process();
@@ -70,5 +70,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
     }
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php	(revision 23057)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         $this->skip_load_page_layout = true;
@@ -49,5 +49,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         parent::process();
@@ -59,5 +59,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         //決済処理中ステータスのロールバック
@@ -66,5 +66,5 @@
         $objPurchase->checkDbMyPendignOrder();
         $objPurchase->checkDbAllPendingOrder();
-		
+
         //受注詳細データの取得
         $arrOrderDetail = $this->lfGetOrderDetail($_POST['order_id']);
@@ -80,5 +80,5 @@
 
     // 受注詳細データの取得
-    function lfGetOrderDetail($order_id)
+    public function lfGetOrderDetail($order_id)
     {
         $objQuery       = SC_Query_Ex::getSingletonInstance();
@@ -100,5 +100,5 @@
 
     // 商品をカートに追加
-    function lfAddCartProducts($arrOrderDetail)
+    public function lfAddCartProducts($arrOrderDetail)
     {
         $objCartSess = new SC_CartSession_Ex();
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php	(revision 23057)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         $this->skip_load_page_layout = true;
@@ -50,5 +50,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         parent::process();
@@ -60,5 +60,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         $objCustomer = new SC_Customer_Ex();
@@ -103,5 +103,5 @@
      * @return array
      */
-    function lfGetMailView($send_id, $customer_id)
+    public function lfGetMailView($send_id, $customer_id)
     {
         $objQuery   = SC_Query_Ex::getSingletonInstance();
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -50,5 +50,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         parent::process();
@@ -60,5 +60,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
     }
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php	(revision 23066)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         $this->skip_load_page_layout = true;
@@ -57,5 +57,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         parent::process();
@@ -69,5 +69,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         $objCustomer = new SC_Customer_Ex();
@@ -78,5 +78,5 @@
         if (isset($_GET['page'])) {
             $ParentPage = htmlspecialchars($_GET['page'], ENT_QUOTES);
-        } else if (isset($_POST['ParentPage'])) {
+        } elseif (isset($_POST['ParentPage'])) {
             $ParentPage = htmlspecialchars($_POST['ParentPage'], ENT_QUOTES);
         }
@@ -156,5 +156,5 @@
 
     /* 登録実行 */
-    function lfRegistData($objAddress, $objFormParam, $customer_id)
+    public function lfRegistData($objAddress, $objFormParam, $customer_id)
     {
         $arrRet     = $objFormParam->getHashArray();
@@ -167,5 +167,5 @@
     }
 
-    function lfRegistDataNonMember($objFormParam)
+    public function lfRegistDataNonMember($objFormParam)
     {
         $arrRegistColumn = $objFormParam->getDbArray();
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 23120)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 23124)
@@ -34,5 +34,5 @@
 {
     /** ページナンバー */
-    var $tpl_pageno;
+    public $tpl_pageno;
 
     /**
@@ -41,5 +41,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -53,5 +53,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         parent::process();
@@ -63,5 +63,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         $objCustomer = new SC_Customer_Ex();
@@ -109,5 +109,5 @@
      * @return array お気に入り商品一覧
      */
-    function lfGetFavoriteProduct($customer_id, &$objPage)
+    public function lfGetFavoriteProduct($customer_id, &$objPage)
     {
         $objQuery       = SC_Query_Ex::getSingletonInstance();
@@ -159,5 +159,5 @@
 
     /* 仕方がない処理。。 */
-    function lfMakeWhere($tablename, $arrProductId)
+    public function lfMakeWhere($tablename, $arrProductId)
     {
         // 取得した表示すべきIDだけを指定して情報を取得。
@@ -174,5 +174,5 @@
 
     // お気に入り商品削除
-    function lfDeleteFavoriteProduct($customer_id, $product_id)
+    public function lfDeleteFavoriteProduct($customer_id, $product_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage.php	(revision 23066)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage.php	(revision 23124)
@@ -34,5 +34,5 @@
 {
     /** ページナンバー */
-    var $tpl_pageno;
+    public $tpl_pageno;
 
     /**
@@ -41,5 +41,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -61,5 +61,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         parent::process();
@@ -71,5 +71,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         //決済処理中ステータスのロールバック
@@ -78,5 +78,5 @@
         $objPurchase->checkDbMyPendignOrder();
         $objPurchase->checkDbAllPendingOrder();
-		
+
         $objCustomer = new SC_Customer_Ex();
         $customer_id = $objCustomer->getValue('customer_id');
@@ -114,9 +114,9 @@
      *
      * @param mixed $customer_id
-     * @param mixed $startno 0以上の場合は受注履歴を返却する -1の場合は件数を返す
+     * @param mixed $startno     0以上の場合は受注履歴を返却する -1の場合は件数を返す
      * @access private
      * @return void
      */
-    function lfGetOrderHistory($customer_id, $startno = -1)
+    public function lfGetOrderHistory($customer_id, $startno = -1)
     {
         $objQuery   = SC_Query_Ex::getSingletonInstance();
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_History.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 23055)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -59,5 +59,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         parent::process();
@@ -69,5 +69,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         //決済処理中ステータスのロールバック
@@ -76,5 +76,5 @@
         SC_Helper_Purchase_Ex::checkDbMyPendignOrder();
         SC_Helper_Purchase_Ex::checkDbAllPendingOrder();
-		
+
         $objCustomer    = new SC_Customer_Ex();
         $objPurchase = new SC_Helper_Purchase_Ex();
@@ -117,5 +117,5 @@
                     $arrTempProductDetail['product_class_id']
                     );
-            if($this->tpl_arrOrderDetail[$product_index]['price_inctax'] != $arrTempProductDetail['price02_inctax']) {
+            if ($this->tpl_arrOrderDetail[$product_index]['price_inctax'] != $arrTempProductDetail['price02_inctax']) {
                 $this->is_price_change = true;
             }
@@ -134,8 +134,8 @@
      * 受注メール送信履歴の取得
      *
-     * @param integer $order_id 注文番号
-     * @return array 受注メール送信履歴の内容
-     */
-    function lfGetMailHistory($order_id)
+     * @param  integer $order_id 注文番号
+     * @return array   受注メール送信履歴の内容
+     */
+    public function lfGetMailHistory($order_id)
     {
         $objQuery   =& SC_Query_Ex::getSingletonInstance();
@@ -155,5 +155,5 @@
      * @return array お届け先情報
      */
-    function lfGetShippingDate(&$objPurchase, $order_id, $arrWDAY)
+    public function lfGetShippingDate(&$objPurchase, $order_id, $arrWDAY)
     {
         $arrShipping = $objPurchase->getShippings($order_id);
@@ -178,5 +178,5 @@
      * @return array 画像をセットした購入履歴の配列
      */
-    function setMainListImage($arrOrderDetails)
+    public function setMainListImage($arrOrderDetails)
     {
         $i = 0;
@@ -197,5 +197,5 @@
      * @return array MIMETYPE、ファイル名をセットした購入履歴の配列
      */
-    function lfSetMimetype($arrOrderDetails)
+    public function lfSetMimetype($arrOrderDetails)
     {
         $objHelperMobile = new SC_Helper_Mobile_Ex();
@@ -220,5 +220,5 @@
      * @param $arrOrderDetail 購入履歴の配列
      */
-    function lfSetAU($arrOrderDetails)
+    public function lfSetAU($arrOrderDetails)
     {
         $this->isAU = false;
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Refusal.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Refusal.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Refusal.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -50,5 +50,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         parent::process();
@@ -60,5 +60,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         switch ($this->getMode()) {
@@ -87,5 +87,5 @@
      * @return void
      */
-    function lfDeleteCustomer($customer_id)
+    public function lfDeleteCustomer($customer_id)
     {
         return SC_Helper_Customer_Ex::delete($customer_id);
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php	(revision 23026)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -54,5 +54,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         parent::process();
@@ -64,5 +64,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         $objCustomer    = new SC_Customer_Ex();
@@ -120,5 +120,5 @@
      * @return SC_FormParam
      */
-    function lfInitParam(&$objFormParam)
+    public function lfInitParam(&$objFormParam)
     {
         $objFormParam->addParam('お届け先ID', 'other_deliv_id', INT_LEN, '', array('EXIST_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
@@ -133,5 +133,5 @@
      * return array
      */
-    function setPref($arrOtherDeliv, $arrPref)
+    public function setPref($arrOtherDeliv, $arrPref)
     {
         if (is_array($arrOtherDeliv)) {
Index: /branches/version-2_13-dev/data/class/pages/LC_Page_InputZip.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/LC_Page_InputZip.php	(revision 23089)
+++ /branches/version-2_13-dev/data/class/pages/LC_Page_InputZip.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         $this->skip_load_page_layout = true;
@@ -50,5 +50,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         // 入力エラーチェック
@@ -85,8 +85,8 @@
      * 入力エラーのチェック.
      *
-     * @param array $arrRequest リクエスト値($_GET)
+     * @param  array $arrRequest リクエスト値($_GET)
      * @return array $arrErr エラーメッセージ配列
      */
-    function fnErrorCheck($arrRequest)
+    public function fnErrorCheck($arrRequest)
     {
         // パラメーター管理クラス
@@ -113,8 +113,8 @@
      * エラーチェック.
      *
-     * @param string $value
+     * @param  string                 $value
      * @return エラーなし：true エラー：false
      */
-    function lfInputNameCheck($value)
+    public function lfInputNameCheck($value)
     {
         // 半角英数字と_（アンダーバー）, []以外の文字を使用していたらエラー
Index: /branches/version-2_13-dev/data/class/graph/SC_Graph_Line.php
===================================================================
--- /branches/version-2_13-dev/data/class/graph/SC_Graph_Line.php	(revision 22567)
+++ /branches/version-2_13-dev/data/class/graph/SC_Graph_Line.php	(revision 23124)
@@ -25,21 +25,21 @@
 class SC_Graph_Line extends SC_Graph_Base_Ex
 {
-    var $area_width;
-    var $area_height;
-    var $ygrid_on;
-    var $graph_max;     // グラフのエリア最大値(Y軸頂点の値)
-    var $arrXLabel;
-    var $XLabelAngle;   // X軸ラベル角度
-    var $XTitle;        // X軸タイトル
-    var $YTitle;        // Y軸タイトル
-    var $arrDataList;   // グラフデータを格納
-    var $arrPointList;  // 折れ線座標を格納
-    var $line_max;      // 複数の描画の場合に加算していく
-
-    var $x_margin;
-    var $y_margin;
+    public $area_width;
+    public $area_height;
+    public $ygrid_on;
+    public $graph_max;     // グラフのエリア最大値(Y軸頂点の値)
+    public $arrXLabel;
+    public $XLabelAngle;   // X軸ラベル角度
+    public $XTitle;        // X軸タイトル
+    public $YTitle;        // Y軸タイトル
+    public $arrDataList;   // グラフデータを格納
+    public $arrPointList;  // 折れ線座標を格納
+    public $line_max;      // 複数の描画の場合に加算していく
+
+    public $x_margin;
+    public $y_margin;
 
     // コンストラクタ
-    function __construct(
+    public function __construct(
         $bgw = BG_WIDTH, $bgh = BG_HEIGHT, $left = LINE_LEFT, $top = LINE_TOP,
         $area_width = LINE_AREA_WIDTH, $area_height = LINE_AREA_HEIGHT) {
@@ -56,5 +56,5 @@
 
     // X軸ラベルの角度セット
-    function setXLabelAngle($Angle)
+    public function setXLabelAngle($Angle)
     {
         $this->XLabelAngle = $Angle;
@@ -62,5 +62,5 @@
 
     // Y軸タイトル
-    function drawYTitle()
+    public function drawYTitle()
     {
         // Y軸にタイトルを入れる
@@ -74,5 +74,5 @@
 
     // X軸タイトル
-    function drawXTitle()
+    public function drawXTitle()
     {
         // Y軸にタイトルを入れる
@@ -86,5 +86,5 @@
 
     // Y軸の描画
-    function drawYLine()
+    public function drawYLine()
     {
         imageline($this->image, $this->left, $this->top, $this->left, $this->top + $this->area_height, $this->flame_color);
@@ -112,5 +112,5 @@
 
     // X軸の描画
-    function drawXLine($bar = false)
+    public function drawXLine($bar = false)
     {
         imageline($this->image, $this->left, $this->top + $this->area_height, $this->left + $this->area_width, $this->top + $this->area_height, $this->flame_color);
@@ -156,5 +156,5 @@
 
     // グリッド表示
-    function setYGridOn($ygrid_on)
+    public function setYGridOn($ygrid_on)
     {
         $this->ygrid_on = $ygrid_on;
@@ -162,5 +162,5 @@
 
     // ポイントの描画
-    function setMark($line_no, $left, $top, $size = LINE_MARK_SIZE)
+    public function setMark($line_no, $left, $top, $size = LINE_MARK_SIZE)
     {
         // 偶数に変換しておく
@@ -178,5 +178,5 @@
 
     // Y軸目盛りに値を入れる
-    function setYScale()
+    public function setYScale()
     {
         // 1目盛りの値
@@ -195,5 +195,5 @@
 
     //
-    function setMax($arrData)
+    public function setMax($arrData)
     {
         // データの最大値を取得する。
@@ -212,5 +212,5 @@
 
     // グラフの描画
-    function drawGraph()
+    public function drawGraph()
     {
         // グラフ背景を描画
@@ -238,5 +238,5 @@
 
     // ラインを描画する
-    function drawLine($line_no)
+    public function drawLine($line_no)
     {
         $arrPointList = $this->arrPointList[$line_no];
@@ -255,5 +255,5 @@
 
     // マークを描画する
-    function drawMark($line_no)
+    public function drawMark($line_no)
     {
         $arrPointList = $this->arrPointList[$line_no];
@@ -267,5 +267,5 @@
 
     // ラベルを描画する
-    function drawLabel($line_no)
+    public function drawLabel($line_no)
     {
         $arrData = $this->arrDataList[$line_no];
@@ -283,7 +283,7 @@
 
     // データをセットする
-    function setData($arrData)
-    {
-        $this->arrDataList[$this->line_max] = array_values((array)$arrData);
+    public function setData($arrData)
+    {
+        $this->arrDataList[$this->line_max] = array_values((array) $arrData);
         $this->setMax($this->arrDataList[$this->line_max]);
         // 値の描画変換率
@@ -305,11 +305,11 @@
 
     // X軸ラベルをセットする
-    function setXLabel($arrXLabel)
-    {
-        $this->arrXLabel = array_values((array)$arrXLabel);
+    public function setXLabel($arrXLabel)
+    {
+        $this->arrXLabel = array_values((array) $arrXLabel);
     }
 
     // X軸タイトルをセットする
-    function setXTitle($title)
+    public function setXTitle($title)
     {
         $this->XTitle = $title;
@@ -317,5 +317,5 @@
 
     // Y軸タイトルをセットする
-    function setYTitle($title)
+    public function setYTitle($title)
     {
         $this->YTitle = $title;
Index: /branches/version-2_13-dev/data/class/graph/SC_Graph_Base.php
===================================================================
--- /branches/version-2_13-dev/data/class/graph/SC_Graph_Base.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/graph/SC_Graph_Base.php	(revision 23124)
@@ -133,52 +133,52 @@
 class SC_Graph_Base
 {
-    var $arrRGB;
-    var $arrColor;
-    var $arrDarkColor;
-    var $image;
-    var $left;
-    var $top;
-    var $shade_color;
-    var $flame_color;
-    var $shade_on;
-    var $text_color;
-    var $labelbg_color;
-    var $bgw;
-    var $bgh;
-    var $clabelbg_color;
-    var $title_color;
-    var $text_top;
-    var $mark_color;
-    var $arrLegend;
+    public $arrRGB;
+    public $arrColor;
+    public $arrDarkColor;
+    public $image;
+    public $left;
+    public $top;
+    public $shade_color;
+    public $flame_color;
+    public $shade_on;
+    public $text_color;
+    public $labelbg_color;
+    public $bgw;
+    public $bgh;
+    public $clabelbg_color;
+    public $title_color;
+    public $text_top;
+    public $mark_color;
+    public $arrLegend;
 
     /** グラフ背景 */
-    var $ARR_GRAPH_RGB;
+    public $ARR_GRAPH_RGB;
 
     /** 背景色 */
-    var $ARR_BG_COLOR;
+    public $ARR_BG_COLOR;
 
     /** 影の色 */
-    var $ARR_SHADE_COLOR;
+    public $ARR_SHADE_COLOR;
 
     /** 縁の色 */
-    var $ARR_FLAME_COLOR;
+    public $ARR_FLAME_COLOR;
 
     /** 文字色 */
-    var $ARR_TEXT_COLOR;
+    public $ARR_TEXT_COLOR;
 
     /** ラベル背景 */
-    var $ARR_LABELBG_COLOR;
+    public $ARR_LABELBG_COLOR;
 
     /** 凡例背景 */
-    var $ARR_LEGENDBG_COLOR;
+    public $ARR_LEGENDBG_COLOR;
 
     /** タイトル文字色 */
-    var $ARR_TITLE_COLOR;
+    public $ARR_TITLE_COLOR;
 
     /** グリッド線色 */
-    var $ARR_GRID_COLOR;
+    public $ARR_GRID_COLOR;
 
     // コンストラクタ
-    function __construct($bgw, $bgh, $left, $top)
+    public function __construct($bgw, $bgh, $left, $top)
     {
         $this->init();
@@ -210,5 +210,5 @@
 
     // リサンプル(画像を滑らかに縮小する)
-    function resampled()
+    public function resampled()
     {
         $new_width = $this->bgw * 0.8;
@@ -221,5 +221,5 @@
 
     // オブジェクトカラーの設定
-    function setColorList($arrRGB)
+    public function setColorList($arrRGB)
     {
         $this->arrRGB = $arrRGB;
@@ -236,5 +236,5 @@
 
     // 影のありなし
-    function setShadeOn($shade_on)
+    public function setShadeOn($shade_on)
     {
         $this->shade_on = $shade_on;
@@ -242,5 +242,5 @@
 
     // 画像を出力する
-    function outputGraph($header = true, $filename = '')
+    public function outputGraph($header = true, $filename = '')
     {
         if ($header) {
@@ -258,5 +258,5 @@
 
     // 描画時のテキスト幅を求める
-    function getTextWidth($text, $font_size)
+    public function getTextWidth($text, $font_size)
     {
         $text_len = strlen($text);
@@ -268,9 +268,10 @@
             $ret = $arrPos[2] - $arrPos[0];
         */
+
         return $ret;
     }
 
     // テキストを出力する
-    function setText($font_size, $left, $top, $text, $color = NULL, $angle = 0, $labelbg = false)
+    public function setText($font_size, $left, $top, $text, $color = NULL, $angle = 0, $labelbg = false)
     {
         // 時計回りに角度を変更
@@ -305,5 +306,5 @@
 
     // タイトルを出力する
-    function drawTitle($text, $font_size = TITLE_FONT_SIZE)
+    public function drawTitle($text, $font_size = TITLE_FONT_SIZE)
     {
         // 出力位置の算出
@@ -315,5 +316,5 @@
 
     // ログを出力する
-    function debugPrint($text)
+    public function debugPrint($text)
     {
         $text = mb_convert_encoding($text, 'UTF-8', CHAR_CODE);
@@ -327,5 +328,5 @@
 
     // カラーラベルを描画
-    function drawLegend($legend_max = '', $clabelbg = true)
+    public function drawLegend($legend_max = '', $clabelbg = true)
     {
         // 凡例が登録されていなければ中止
@@ -377,5 +378,5 @@
 
     // カラーラベル背景の描画
-    function drawClabelBG($left, $top, $right, $bottom)
+    public function drawClabelBG($left, $top, $right, $bottom)
     {
         // 影の描画
@@ -389,7 +390,7 @@
 
     // 凡例をセットする
-    function setLegend($arrLegend)
-    {
-        $this->arrLegend = array_values((array)$arrLegend);
+    public function setLegend($arrLegend)
+    {
+        $this->arrLegend = array_values((array) $arrLegend);
     }
 
@@ -402,5 +403,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         // 凡例背景
@@ -439,11 +440,11 @@
      * 円の中心点と直径から弧の終端座標を算出する.
      *
-     * @param integer $cx 中心点X座標
-     * @param integer $cy 中心点Y座標
-     * @param integer $r 半径
-     * @param integer $e 角度
-     * @return array 円の中心点と直径から弧の終端座標の配列
+     * @param  integer $cx 中心点X座標
+     * @param  integer $cy 中心点Y座標
+     * @param  integer $r  半径
+     * @param  integer $e  角度
+     * @return array   円の中心点と直径から弧の終端座標の配列
      */
-    function lfGetArcPos($cx, $cy, $cw, $ch, $e)
+    public function lfGetArcPos($cx, $cy, $cw, $ch, $e)
     {
         // 三角関数用の角度を求める
@@ -458,5 +459,5 @@
 
     /** 画像にテキストを描画する */
-    function lfImageText($dst_image, $text, $font_size, $left, $top, $font, $arrRGB)
+    public function lfImageText($dst_image, $text, $font_size, $left, $top, $font, $arrRGB)
     {
         $color = ImageColorAllocate($dst_image, $arrRGB[0], $arrRGB[1], $arrRGB[2]);
@@ -469,5 +470,5 @@
 
     /** 表示色の取得 */
-    function lfGetImageColor($image, $array)
+    public function lfGetImageColor($image, $array)
     {
         if (count($array) != 3) {
@@ -480,5 +481,5 @@
 
     /** 影用表示色の取得 */
-    function lfGetImageDarkColor($image, $array)
+    public function lfGetImageDarkColor($image, $array)
     {
         if (count($array) != 3) {
Index: /branches/version-2_13-dev/data/class/graph/SC_Graph_Pie.php
===================================================================
--- /branches/version-2_13-dev/data/class/graph/SC_Graph_Pie.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/graph/SC_Graph_Pie.php	(revision 23124)
@@ -25,14 +25,14 @@
 class SC_Graph_Pie extends SC_Graph_Base_Ex
 {
-    var $cw;
-    var $ch;
-    var $cz;
-    var $cx;
-    var $cy;
-    var $arrLabel;
-    var $arrData;
+    public $cw;
+    public $ch;
+    public $cz;
+    public $cx;
+    public $cy;
+    public $arrLabel;
+    public $arrData;
 
     // コンストラクタ
-    function __construct($bgw = BG_WIDTH, $bgh = BG_HEIGHT, $left = PIE_LEFT, $top = PIE_TOP)
+    public function __construct($bgw = BG_WIDTH, $bgh = BG_HEIGHT, $left = PIE_LEFT, $top = PIE_TOP)
     {
         parent::__construct($bgw, $bgh, $left, $top);
@@ -44,5 +44,5 @@
 
     // データを360°値に変換する
-    function getCircleData($array)
+    public function getCircleData($array)
     {
         $total = '';
@@ -77,5 +77,5 @@
 
     // 円の位置設定を行う
-    function setPosition($cx, $cy)
+    public function setPosition($cx, $cy)
     {
         $this->cx = $cx;
@@ -84,5 +84,5 @@
 
     // 円のサイズ設定を行う
-    function setSize($cw, $ch, $cz = 0)
+    public function setSize($cw, $ch, $cz = 0)
     {
         $this->cw = $cw;
@@ -92,5 +92,5 @@
 
     // 影の描画
-    function drawShade()
+    public function drawShade()
     {
         $move = 1;
@@ -102,5 +102,5 @@
 
     // データをセットする
-    function setData($arrData)
+    public function setData($arrData)
     {
         $this->arrData = array_values($arrData);
@@ -108,5 +108,5 @@
 
     // 円グラフを描画する
-    function drawGraph()
+    public function drawGraph()
     {
         $x = $this->cx;
@@ -198,5 +198,5 @@
 
     // 円グラフのラベルを描画する
-    function drawLabel($arrRad)
+    public function drawLabel($arrRad)
     {
         $start = 0;
Index: /branches/version-2_13-dev/data/class/graph/SC_Graph_Bar.php
===================================================================
--- /branches/version-2_13-dev/data/class/graph/SC_Graph_Bar.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/graph/SC_Graph_Bar.php	(revision 23124)
@@ -26,5 +26,5 @@
 {
     // コンストラクタ
-    function __construct(
+    public function __construct(
         $bgw = BG_WIDTH, $bgh = BG_HEIGHT, $left = LINE_LEFT, $top = LINE_TOP,
         $area_width = LINE_AREA_WIDTH, $area_height = LINE_AREA_HEIGHT) {
@@ -33,5 +33,5 @@
 
     // グラフの描画
-    function drawGraph()
+    public function drawGraph()
     {
         $this->drawYLine();
@@ -53,5 +53,5 @@
 
     // 棒グラフの描画
-    function drawBar($line_no)
+    public function drawBar($line_no)
     {
         $arrPointList = $this->arrPointList[$line_no];
@@ -83,5 +83,5 @@
 
     // ラベルを描画する
-    function drawLabel($line_no)
+    public function drawLabel($line_no)
     {
         $arrData = $this->arrDataList[$line_no];
